<?php
$post_cat = get_theme_mod('p_feature_slider_post_category', '');
$num_posts = absint(get_theme_mod('p_feature_slider_num', 4));
$args = array(
	'posts_per_page' => $num_posts,
	'cat' => $post_cat,
);
$query = new WP_Query( $args );

if ( $query->have_posts() ) {

?>
<div id="p_feature_slider_wrapper">
	<div class="p_feature_slider_outer nopin">
	<div id="p_feature_slider_banner"></div>
	<div class="container">
	<div id="p_feature_slider" class="cycle-slideshow" data-cycle-manual-speed="700" data-cycle-slides=".p_feature_slider_item" data-cycle-speed="800" data-cycle-delay="<?php echo absint(get_theme_mod('p_feature_slider_delay', 2500)); ?>" data-cycle-swipe="true" data-cycle-swipe-fx="scrollHorz" data-cycle-next=".p_feature_slider-next" data-cycle-prev=".p_feature_slider-prev">
		<?php while ( $query->have_posts() ) : $query->the_post(); ?>
		<?php
		$post_location = '';
		if (function_exists('rwmb_meta')) {
			$post_location = rwmb_meta( 'pipdig_meta_geographic_location' );
		}
		$bg = pipdig_catch_that_image(get_the_ID(), 'large', 'rectangle_slider_image');
		?>
		<div class="p_feature_slider_item">
			<div class="p_feature_slider_img">
			<a href="<?php the_permalink() ?>" class="p3_cover_me" style="background-image:url(<?php echo $bg; ?>);">
				<img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAlgAAAGQAQMAAABI+4zbAAAAA1BMVEUAAACnej3aAAAAAXRSTlMAQObYZgAAADRJREFUeNrtwQENAAAAwiD7p7bHBwwAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgKQDdsAAAWZeCiIAAAAASUVORK5CYII=" alt="<?php the_title_attribute(); ?>" class="p3_invisible" data-pin-nopin="true"/>
			</a>
			</div>
			<div class="p_feature_slider_overlay">
				
				<div class="pipdig_meta">
					<?php if (!get_theme_mod('hide_cats')) { ?>
						<?php echo pipdig_main_cat(true); ?>
						<?php if ($post_location) { ?>&nbsp;|&nbsp;<?php } ?>
					<?php } ?>
					<?php if ($post_location) { ?>
						<i class="pipdigicons pipdigicons-map-marker-alt"></i> <?php echo $post_location; ?>
					<?php } ?>
				</div>
				
				<h2 class="entry-title">
					<a href="<?php the_permalink(); ?>">
						<?php echo pipdig_truncate(get_the_title(), 20) ?>
					</a>
				</h2>
				
				<?php if (get_theme_mod('p_feature_slider_excerpt', 1)) { ?>
					<div class="p_feature_slider_excerpt">
						<?php echo pipdig_truncate(strip_tags(strip_shortcodes(get_the_excerpt())), 25); ?>
					</div>
				<?php } ?>
				<?php if (get_theme_mod('p_feature_slider_view_post', 1)) { ?>
					<a href="<?php the_permalink(); ?>" class="read-more"><?php _e('View Post', 'pipdig-textdomain'); ?></a>
				<?php } ?>

			</div>
		</div>
		<?php endwhile; wp_reset_query(); ?>
		
		<div id="p_feature_slider_nav">
			<div class='p_feature_slider-prev'> <i class="pipdigicons pipdigicons-angle-left" aria-hidden="true"></i> </div>
			<div class="p_feature_slider-next"> <i class="pipdigicons pipdigicons-angle-right" aria-hidden="true"></i> </div>
		</div>
	</div>
	</div>
	</div>
</div>
<?php } ?>