<?php if (!defined('ABSPATH')) die;

function pipdig_instagram_page_init() {

	register_setting('pipdig_instagram_options_page', 'pipdig_instagram');
	
	add_settings_section(
		'pipdig_instagram_options_page_section', 
		'',
		'', 
		'pipdig_instagram_options_page'
	);
	
	add_settings_field( 
		'access_token', 
		'Access Token', 
		'p3_instagram_at_render', 
		'pipdig_instagram_options_page', 
		'pipdig_instagram_options_page_section' 
	);
	
	add_settings_field( 
		'user_id', 
		'User ID', 
		'p3_instagram_user_id_render', 
		'pipdig_instagram_options_page', 
		'pipdig_instagram_options_page_section' 
	);
	
}
add_action('admin_init', 'pipdig_instagram_page_init');


function p3_instagram_at_render() {
	$instagram_deets = get_option('pipdig_instagram');
	$access_token = '';
	if (!empty($instagram_deets['access_token'])) { 
		$access_token = sanitize_text_field($instagram_deets['access_token']);
	}
	?>
	<textarea class="large-text code" id="pd_ig_access_token" name="pipdig_instagram[access_token]" autocomplete="off" style="height: 110px;"><?php echo $access_token; ?></textarea> <?php
}
function p3_instagram_user_id_render() {
	$instagram_deets = get_option('pipdig_instagram');
	$user_id = '';
	if (!empty($instagram_deets['user_id'])) { 
		$user_id = sanitize_text_field($instagram_deets['user_id']);
	}
	?>
	<input class="large-text code" id="pd_ig_user_id" type="text" name="pipdig_instagram[user_id]" autocomplete="off" value="<?php echo $user_id; ?>" placeholder="This should be a number" /> <?php
}


function pipdig_instagram_options_page() { 
	?>
	<div class="wrap">
	
	<h1 class="wp-heading-inline">Instagram Settings</h1>
	
	<?php
	
	$show_debug = false;
	$instagram_deets = get_option('pipdig_instagram');
	$access_token = $user_id = '';
	$you_are_connected_msg = '<p>This page allows you to connect an Instagram account to this website. This is required for any Instagram widgets.</p><!--<p>Before getting started, we need to check if you have a <strong>Personal</strong> or <strong>Business/Creator</strong> Instagram account.--></p>';
	
	if (!empty($instagram_deets['user_id'])) {
		$user_id = sanitize_text_field($instagram_deets['user_id']);
	}
	if (!empty($instagram_deets['access_token'])) {
		$access_token = sanitize_text_field($instagram_deets['access_token']);
	}
	
	if ($access_token) {
		
		echo '<div class="card" id="pd_ig_results" style="margin-bottom: 30px;">';
		
		if (!function_exists('curl_version')) {
			echo '<p><span class="piperror"><span class="dashicons dashicons-no"></span> Error! cURL is not enabled or is an old version. Please contact your web hosting company and ask them to upgrade cURL and PHP to the newest version they offer.</span></p>';
		}
		
		if ($user_id) {
			$url = 'https://graph.facebook.com/'.$user_id.'/media?fields=id,username&access_token='.$access_token;
		} else {
			$url = 'https://graph.instagram.com/me/media?fields=id,username&access_token='.$access_token;
		}
		
		$args = array('timeout' => 10);
		$response = wp_remote_retrieve_body(wp_remote_get($url, $args));
		
		$body = json_decode($response);
		
		//print_r($body->data);
		
		if (isset($body->data)) {
			delete_option('p3_new_ig_twentytwenty_show');
			$username = sanitize_text_field($body->data[0]->username);
			$you_are_connected_msg = "<p>You're already connected to Instagram user \"$username\". If you need to change to a different Instagram account, you can do so below.</p>";
			echo '<p><span class="pipsuccess"><span class="dashicons dashicons-yes"></span> Success! This site is connected to Instagram user "'.$username.'". You can now edit the main Instagram features on <a href='.admin_url('customize.php?autofocus[section]=pipdig_p3_instagram_section').'>this page</a> or by adding the <a href="https://support.pipdig.co/articles/wordpress-instagram-widget/" target="_blank">Instagram widget</a>.</span></p>';
		} elseif (!empty($body->error_message)) {
			echo '<p><span class="piperror"><span class="dashicons dashicons-no"></span> Connection to Instagram failed. Error message from Instagram: "'.esc_html($body->error_message).'"</span></p>';
		} else {
			echo '<p><span class="piperror"><span class="dashicons dashicons-no"></span> Error! Could not connect to Instagram. Please try creating a new Access Token on <a href="https://go.pipdig.co/open.php?id=ig_personal" target="_blank" rel="noopener">this page</a>.</span></p>';
			$show_debug = true;
		}
		echo '</div>';
		
	}
	?>
	
	<div class="card">
	
	<style scoped>
	.form-table th {
		display: none;
	}
	.form-table td {
		padding: 0 0 20px;
	}
	.form-table td
	.piperror {
		color: red;
	}
	.pipsuccess {
		color: green;
		font-size: 15px;
	}
	.pipsuccess a {
		color: green;
	}
	#p3_new_ig_twentytwenty_notice {
		display: none !important;
	}
	#ig_personal_or_bus {
		margin-bottom: 25px;
	}
	#ig_personal_or_bus .button {
		margin-right: 5px;
	}
	</style>
	
	<form action='options.php' method='post'>
		<?php echo $you_are_connected_msg; ?>
		
		<div id="ig_personal_or_bus">
			<p>Which type of Instagram account do you have?</p>
			<!--<p style="font-style: italic">If you are unsure, we recommend selecting "Personal" as this will work with all accounts</p>-->
			<div class="button" id="ig_personal">Personal</div>
			<div class="button" id="ig_bus_creator">Business/Creator</div>
			<div class="button" id="ig_dunno">I'm not sure!</div>
		</div>
		
		<div class="ig_personal_steps" style="display: none">
			<p>Go to <a href="https://go.pipdig.co/open.php?id=ig_personal" target="_blank" rel="noopener" id="linkToIgPers">this page</a> to create an Access Token.</p>
			<p>Copy and paste the Access Token below:</p>
		</div>
			
		<div class="ig_bus_creator_steps" style="display: none">
			<p>Go to <a href="https://go.pipdig.co/open.php?id=ig_business" target="_blank" rel="noopener" id="linkToIgBus">this page</a> to create an Access Token and User ID. This will ask you to connect to the "Smash Balloon Social" app via Facebook which is required for Business/Creator accounts.</p>
			<p>Copy and paste the Access Token and User ID below:</p>
		</div>
			
		<div class="ig_dunno_steps" style="display: none">
			<p>"Personal" is the normal type of account created at Instagram.</p>
			<p>A "Business/Creator" account is required if you want to show the number of likes/comments on your posts (see <a href="https://pipdigz.co.uk/p3/img/instagram-counter-hover.png" target="_blank" rel="noopener">this example</a>).</p>
			<p>It is possible to convert a Personal account into a Business/Creator account by following <a href="https://help.instagram.com/502981923235522" target="_blank" rel="noopener">this guide</a>.</p>
			<p>Please note that Facebook controls the connection for Business/Creator accounts.</p>
		</div>
		
		<div class="ig_personal_steps ig_bus_creator_steps" style="display: none">
			<?php
			settings_fields('pipdig_instagram_options_page');
			do_settings_sections('pipdig_instagram_options_page');
			submit_button();
			?>
		</div>
	</form>
	
	</div>
	
	<div class="card" id="pd_ig_debug" style="display: none">
		<h2>Debug Info</h2>
		<textarea class="large-text code"><?php echo esc_html($response); ?></textarea>
	</div>
	
	</div>
	
	<script>
	jQuery(document).ready(function($) {
		
		// numbers only
		$('#pd_ig_user_id').keyup(function(e){
			if (/\D/g.test(this.value)) {
				this.value = this.value.replace(/\D/g, '');
			}
		});
		
		$('#pd_ig_user_id').closest('tr').addClass('ig_bus_creator_steps');
		$('#pd_ig_user_id').before('<span class="ig_bus_creator_steps" style="font-weight: bold">User ID: <br /></span>');
		$('#pd_ig_access_token').before('<span class="ig_bus_creator_steps" style="font-weight: bold">Access Token: <br /></span>');
		$('#submit').after(' <div id="ig_reset_btn" class="button" style="margin-left: 5px">Reset</div>');
		
		$('#linkToIgBus').click(function(){
			$('#pd_ig_access_token').val('');
		});
		
		$('#linkToIgPers').click(function(){
			$('#pd_ig_access_token').val('');
			$('#pd_ig_user_id').val('');
		});
		
		$('#ig_personal').click(function(){
			$('#pd_ig_access_token').val('');
			$('#pd_ig_user_id').val('');
			$('.pipsuccess').slideUp();
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$(this).addClass('button-primary');
			$('.ig_bus_creator_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_personal_steps').fadeIn();
		});
		
		$('#ig_bus_creator').click(function(){
			$('#pd_ig_access_token').val('');
			$('.pipsuccess').slideUp();
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$(this).addClass('button-primary');
			$('.ig_personal_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_bus_creator_steps').fadeIn();
		});
		
		$('#ig_dunno').click(function(){
			$('#pd_ig_access_token').val('');
			$('#pd_ig_user_id').val('');
			$('.pipsuccess').slideUp();
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$(this).addClass('button-primary');
			$('.ig_bus_creator_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_personal_steps').fadeIn();
		});
		
		/*
		$('#ig_dunno').click(function(){
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$(this).addClass('button-primary');
			$('.ig_personal_steps').hide();
			$('.ig_bus_creator_steps').hide();
			$('.ig_dunno_steps').fadeIn();
		});
		*/
		
		$('#ig_reset_btn').click(function(){
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$('.ig_bus_creator_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_personal_steps').hide();
			$('#pd_ig_access_token').val('');
			$('#pd_ig_user_id').val('');
		});
		
		<?php if ($user_id) { ?>
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$('#ig_bus_creator').addClass('button-primary');
			$('.ig_personal_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_bus_creator_steps').fadeIn();
		<?php } elseif ($access_token) { ?>
			$('#ig_personal_or_bus').find('.button').removeClass('button-primary');
			$('#ig_personal').addClass('button-primary');
			$('.ig_bus_creator_steps').hide();
			$('.ig_dunno_steps').hide();
			$('.ig_personal_steps').fadeIn();
		<?php } ?>
		
		<?php if ($show_debug) { ?>
			$('#pd_ig_debug').show();
		<?php } ?>
		
		
		
		$('#pd_request_at_btn').click(function(){
			$('#pd_ig_results').hide();
			$('#ig_step_2').fadeIn();
			$('#ig_step_3').fadeIn();
			//$('#pd_ig_access_token').text('');
		});
	});
	</script>
	
	<?php
}
