<?php if (!defined('ABSPATH')) die;

function p3_youtube_fetch($channel_id) {
		
		$args = array('timeout' => 9);
		$videos = array();
		$channel_id = trim($channel_id);
		$transient_id = substr($channel_id, 0, 20);
		
		if (false === ($videos = get_transient('p3_yt_'.$transient_id))) {
			
			$youtube_deets = get_option('pipdig_youtube');
			if (!empty($youtube_deets['access_token'])) {
				$token = sanitize_text_field($youtube_deets['access_token']);
			} else {
				return false;
			}
			
			$url = 'https://www.googleapis.com/youtube/v3/search?order=date&part=snippet&type=video&channelId='.$channel_id.'&key='.$token.'&maxResults=20';
			$response = wp_remote_get($url, $args);
			$body = wp_remote_retrieve_body($response);
			
			if ($body) {
				$response = json_decode($body);
				
				for ($i = 0; $i < 20; $i++) {
					if (isset($response->items[$i]->id->videoId)) {
						
						$id = sanitize_text_field($response->items[$i]->id->videoId);
						
						$thumbnail = "https://img.youtube.com/vi/".$id."/0.jpg";
						
						if ($i < 2) { // First vids get special treatment. Roll out the red carpet.
						
							// Get more info from video endpoint
							$url = 'https://www.googleapis.com/youtube/v3/videos?part=snippet&key='.$token.'&id='.$id;
							$video_response = wp_remote_get($url, $args);
							$video_body = wp_remote_retrieve_body($video_response);
							if ($video_body) {
								
								$video_response = json_decode($video_body);
								
								if (isset($video_response->items[0]->snippet->thumbnails->maxres->url)) {
									$thumbnail = $video_response->items[0]->snippet->thumbnails->maxres->url;
								}
								
							}
							
						}
						
						$videos[] = array (
							'id' => $id,
							'title' => strip_tags($response->items[$i]->snippet->title),
							'thumbnail' => esc_url_raw($thumbnail),
							'link' => 'https://www.youtube.com/watch?v='.$id,
						);
					}
				}
			} else {
				return;
			}
			
			set_transient( 'p3_yt_'.$transient_id, $videos, 2 * HOUR_IN_SECONDS );
		}
		
		return $videos;

}


function p3_youtube_fetch_playlist($playlist_id) {
		
		if (empty($playlist_id)) {
			return;
		}
		
		$args = array('timeout' => 9);
		$videos = array();
		$playlist_id = trim($playlist_id);
		$transient_id = substr($playlist_id, 0, 15);
		
		if (false === ($videos = get_transient('p3_youtube_'.$transient_id ))) {
			
			$youtube_deets = get_option('pipdig_youtube');
			if (!empty($youtube_deets['access_token'])) {
				$token = sanitize_text_field($youtube_deets['access_token']);
			} else {
				return false;
			}
			
			$url = 'https://www.googleapis.com/youtube/v3/playlistItems?part=snippet%2C+id&playlistId='.$playlist_id.'&key='.$token.'&type=video&maxResults=12';
			$args = array(
			    'timeout' => 9,
			);
			$response = wp_remote_get($url, $args);
			
			$body = wp_remote_retrieve_body($response);
			
			if ($body) {
				$response = json_decode($body);
				
				for ($i = 0; $i < 12; $i++) {
					if (isset($response->items[$i]->snippet->resourceId->videoId)) {
						
						$id = sanitize_text_field($response->items[$i]->snippet->resourceId->videoId);
						
						$thumbnail = "https://img.youtube.com/vi/".$id."/0.jpg";
						
						if ($i < 3) { // First vids get special treatment. Roll out the red carpet.
						
							// Get more info from video endpoint
							$url = 'https://www.googleapis.com/youtube/v3/videos?part=snippet&key='.$token.'&id='.$id;
							$video_response = wp_remote_get($url, $args);
							$video_body = wp_remote_retrieve_body($video_response);
							if ($video_body) {
								
								$video_response = json_decode($video_body);
								
								if (isset($video_response->items[0]->snippet->thumbnails->maxres->url)) {
									$thumbnail = $video_response->items[0]->snippet->thumbnails->maxres->url;
								}
								
							}
							
						}
						
						$videos[$i] = array (
							'id' => $id,
							'title' => strip_tags($response->items[$i]->snippet->title),
							'thumbnail' => esc_url_raw($thumbnail),
							'link' => 'https://www.youtube.com/watch?v='.$id,
						);
						
					}
				}
			}
			
			set_transient( 'p3_youtube_'.$transient_id, $videos, 2 * HOUR_IN_SECONDS );
		}
		
		return $videos;

}