<?php
/**
 * Template Name: Archives
 */
get_header(); ?>

	<div class="row">
	
		<div class="<?php pipdig_left_or_right(); ?> content-area">

			<ul class="years">
			<?php
			$all_posts = get_posts(array(
				'posts_per_page' => 1000,
				'suppress_filters' => false,
				'fields' => 'ids'
			));

			$ordered_posts = array();

			foreach ($all_posts as $post_id) {
				
				$single = get_post($post_id);

				$year = mysql2date('Y', $single->post_date);
				$month = mysql2date('F', $single->post_date);

				// specifies the position of the current post
				$ordered_posts[$year][$month][] = $single;

			}

			// iterates the years
			foreach ($ordered_posts as $year => $months) { ?>
				<li>
					<h3><?php echo $year; ?></h3>
					<ul class="months">
					<?php foreach ($months as $month => $posts ) { ?>
						<li>
							<h3><?php printf("%s (%d)", $month, count($months[$month])) ?></h3>
							<ul class="posts">
							<?php foreach ($posts as $single ) { // iterates the posts ?>
								<li><span class="page-archives-post-date"><?php echo mysql2date('D, jS', $single->post_date) ?>:</span> <a href="<?php echo esc_url(get_permalink($single->ID)); ?>"><?php echo esc_html(get_the_title($single->ID)); ?></a></li>
						</li>
							<?php } ?>
							</ul> <!-- ul.posts -->

				</li>
					<?php } // foreach $months ?>
					</ul> <!-- ul.months -->

				</li> <?php
			}
			?>
			</ul><!-- ul.years -->

		</div>

		<?php get_sidebar(); ?>
		
	</div>

<?php get_footer(); ?>